# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# Need this for shared objects that reference X Server, or other modules symbols
%define _disable_ld_no_undefined 1
# Do magic with .rpmsave named links
%define pre_post_trans 1

%bcond_with builddocs
%bcond_with dbus
%bcond_with debug
%bcond_without dmx
%bcond_without xfake

# Alternatives priority for standard libglx.so and mesa libs
%define priority 500

# Search for modules in extra_module_dir before the default path.
# This will allow fglrx to install its modified modules in more cleaner way.
%define extra_module_dir %{_libdir}/xorg/extra-modules
%define xorg1_6_extra_modules %{_libdir}/xorg/xorg-1.6-extra-modules

# ABI versions.  Have to keep these manually in sync with the source
# because rpm is a terrible language.  HTFU.
%define ansic_major 0
%define ansic_minor 4
%define videodrv_major 15
%define videodrv_minor 0
%define xinput_major 20
%define xinput_minor 0
%define extension_major 8
%define extension_minor 0

Summary:	X11 servers
Name:		x11-server
Version:	1.15.1
Release:	4
License:	GPLv2+ and MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{version}.tar.bz2
Source1:	xserver.pamd
Source2:	xvfb-run.sh
# from RH/FC:
# for requires generation in drivers
Source30:	xserver-sdk-abi-requires
Source100:	x11-server.rpmlintrc
# Mandriva patches
# git format-patch --start-number 900 mdv-1.6.4-redhat..mdv-1.6.4-patches
Patch900:	0900-Use-a-X-wrapper-that-uses-pam-and-consolehelper-to-g.patch
Patch901:	0901-Don-t-print-information-about-X-Server-being-a-pre-r.patch
Patch902:	0902-Take-width-into-account-when-choosing-default-mode.patch
Patch906:	0906-Xorg-add-an-extra-module-path.patch
Patch907:	0907-Add-nr-argument-for-backwards-compatibility.patch
#Patch908:	0908-XKB-cache-xkbcomp-output-for-fast-start-up-v.1-for-1.patch
Patch910:	xorg-1.13.0-link-tirpc.patch
# Other patches
# Do not crash if Xv is not initialized (patch from xorg-devel ML)
# The crash happened when v4l was loaded and xv was not registered,
# for example on RV610 with radeon driver
Patch1001:	1001-do-not-crash-if-xv-not-initialized.patch
#Patch1003:	arm32_line_removed.patch

#Fedora patches
#Patch2001: 0001-pixmap-fix-reverse-optimus-support-with-multiple-hea.patch
Patch2006:	0001-rrcrtc-brackets-are-hard-lets-go-shopping.patch
Patch2007:	exa-only-draw-valid-trapezoids.patch


# FIXME: build with systemtap installed is broken
BuildConflicts:	systemtap

# Probably only needed if we change .l or .y files, but let's have them anyway:
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	bison
%if %{with builddocs}
BuildRequires:	doxygen
BuildRequires:	lynx
BuildRequires:	x11-sgml-doctools >= 1.8
BuildRequires:	xmlto
%endif
BuildRequires:	x11-font-util
BuildRequires:	x11-util-macros
BuildRequires:	pam-devel
%if %{with dbus}
BuildRequires:	pkgconfig(dbus-1)
%endif
%if %{with dmx}
BuildRequires:	pkgconfig(dmx)
BuildRequires:	pkgconfig(xtst)
%endif
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libtirpc)
# for xkbcomp patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libudev) >= 186
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xfont)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xres)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xtrans)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xshmfence)
BuildRequires:	pkgconfig(dri2proto)
BuildRequires:	pkgconfig(dri3proto)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)


Requires:	%{name}-xorg
%if %{with dmx}
Requires:	%{name}-xdmx
%else
Obsoletes:	%{name}-xdmx < %{EVRD}
%endif
Requires:	%{name}-xnest
Requires:	%{name}-xvfb
# This should be removed when any of the vnc packages provide x11-server-xvnc:
Obsoletes:	%{name}-xvnc < %{version}-%{release}
%if !%{with xfake}
Obsoletes:	%{name}-xfake < %{version}-%{release}
%endif

%description
X11 servers.

%files

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/X11
License:	MIT
Requires:	pkgconfig(dri)
Requires:	pkgconfig(pciaccess)
Requires:	pkgconfig(pixman-1)
Requires:	pkgconfig(xext)
Requires:	pkgconfig(xkbfile)

%description devel
Development files for %{name}.

%files devel
%dir %{_includedir}/xorg
%{_bindir}/xserver-sdk-abi-requires
%{_includedir}/xorg/*.h
%{_libdir}/pkgconfig/xorg-server.pc
%{_datadir}/aclocal/xorg-server.m4

#----------------------------------------------------------------------------

%package common
Summary:	X server common files
Group:		System/X11
License:	MIT
Provides:	XFree86 = 7.0.0
Requires:	rgb
# for 'fixed' and 'cursor' fonts
Requires:	x11-font-misc-misc
Requires:	x11-font-cursor-misc
Requires:	x11-font-alias
Requires:	x11-data-xkbdata
Requires:	xkbcomp
Requires:	udev
Requires(post,postun):	update-alternatives
Provides:	xserver-abi(ansic-%{ansic_major}) = %{ansic_minor}
Provides:	xserver-abi(videodrv-%{videodrv_major}) = %{videodrv_minor}
Provides:	xserver-abi(xinput-%{xinput_major}) = %{xinput_minor}
Provides:	xserver-abi(extension-%{extension_major}) = %{extension_minor}

%description common
X server common files.

%post common
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf %{priority} \
	--slave %{extra_module_dir} xorg_extra_modules %{xorg1_6_extra_modules}

#(akdengi) try fix layout freezy on KDE4
/usr/bin/setxkbmap

#if not migrate to localectl, doing this
if ! [ -f "/etc/X11/xorg.conf.d/00-keyboard.conf" ]
then

 . /etc/sysconfig/keyboard

cat > /etc/X11/xorg.conf.d/00-keyboard.conf << EOF
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbLayout" "$XkbLayout"
        Option "XkbModel" "$XkbModel"
        Option "XkbOptions" "$XkbOptions"
EndSection
EOF

fi


%postun common
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL/standard.conf ]; then
	/usr/sbin/update-alternatives --remove gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
fi

%files common
%dir %{xorg1_6_extra_modules}
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/app-defaults
%dir %{_sysconfdir}/X11/fontpath.d
%dir %{_sysconfdir}/ld.so.conf.d/GL
%dir %{_sysconfdir}/X11/xorg.conf.d
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%{_sysconfdir}/ld.so.conf.d/GL/standard.conf
%if %{with dbus}
%{_sysconfdir}/dbus-1/system.d/xorg-server.conf
%endif
%{_bindir}/cvt
%{_bindir}/gtf
%if %{with dmx}
%{_bindir}/vdltodmx
%endif
%dir %{_libdir}/xorg/modules
%{_libdir}/xorg/modules/*
%{_libdir}/xorg/protocol.txt
%{_datadir}/X11/xkb/README.compiled
%{_mandir}/man1/gtf.*
%{_mandir}/man1/cvt.*
%if %{with dmx}
%{_mandir}/man1/vdltodmx.*
%endif
%{_mandir}/man4/fbdevhw.*
%{_mandir}/man4/exa.*
%dir %{_prefix}/X11R6
%dir %{_prefix}/X11R6/lib
%dir %{_prefix}/X11R6/lib/X11

#----------------------------------------------------------------------------

%package xorg
Summary:	X.org X11 server
Group:		System/X11
License:	MIT
Requires:	libx11-common
Requires:	x11-data-xkbdata
Requires:	x11-font-alias
Requires:	x11-server-common = %{EVRD}
Requires:	x11-driver-input-evdev
Requires:	udev

%description xorg
x11-server-xorg is the new generation of X server from X.Org.

%files xorg
%{_bindir}/X
%{_bindir}/Xorg
%attr(4755,root,root)%{_bindir}/Xwrapper
%{_sysconfdir}/X11/X
%{_sysconfdir}/pam.d/xserver
%{_sysconfdir}/security/console.apps/xserver
%{_mandir}/man1/Xorg.*
%{_mandir}/man1/Xserver.*
%{_mandir}/man5/xorg.conf.*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf
%{_datadir}/X11/xorg.conf.d/10-quirks.conf
#----------------------------------------------------------------------------

%if %{with dmx}
%package xdmx
Summary:	Distributed Multi-head X server
Group:		System/X11
License:	MIT
Requires:	x11-server-common = %{EVRD}

%description xdmx
Xdmx is a proxy X server that uses one or more other X servers
as its display devices. It provides multi-head X functionality
for displays that might be located on different machines.
Xdmx functions as a front-end X server that acts as a proxy
to a set of back-end X servers. All of the visible rendering is
passed to the back-end X servers. Clients connect to the Xdmx
front-end, and everything appears as it would in a regular
multi-head configuration. If Xinerama is enabled (e.g.,
with +xinerama on the command line), the clients see a single large screen.

Xdmx communicates to the back-end X servers using the standard X11 protocol,
and standard and/or commonly available X server extensions.

%files xdmx
%{_bindir}/Xdmx
%{_bindir}/xdmx*
%{_bindir}/dmx*
%{_mandir}/man1/Xdmx.*
%{_mandir}/man1/xdmxconfig.*
%{_mandir}/man1/dmxtodmx.*
%endif

#----------------------------------------------------------------------------

%package xnest
Summary:	A nested X server
Group:		System/X11
License:	MIT
Requires:	x11-server-common = %{EVRD}

%description xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%files xnest
%{_bindir}/Xnest
%{_mandir}/man1/Xnest.*

#----------------------------------------------------------------------------

%package xvfb
Summary:	X virtual framebuffer server
Group:		System/X11
# xvfb-run is GPLv2, rest is MIT
License:	MIT and GPLv2+
Requires:	x11-server-common = %{EVRD}
Requires:	xauth

%description xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%files xvfb
%{_bindir}/Xvfb
%{_bindir}/xvfb-run
%{_mandir}/man1/Xvfb.*

#----------------------------------------------------------------------------

%package xephyr
Summary:	KDrive Xephyr X server
Group:		System/X11
License:	MIT
Requires:	x11-server-common = %{EVRD}

%description xephyr
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

Xephyr is a X Server which targets a window on a host X Server
as its framebuffer. Unlike Xnest it supports modern X extensions ( even
if host server doesn't ) such as Composite, Damage, randr etc. It uses SHM
Images and shadow framebuffer updates to provide good performance. It also
has a visual debugging mode for observing screen updates.

Possible uses include:
- Xnest replacement - Window manager, Composite 'gadget', etc development tool.
- Toolkit debugging - rendundant toolkit paints can be observered easily via
  the debugging mode.
- X Server internals development - develop without the need for an extra
  machine.

%files xephyr
%{_bindir}/Xephyr
%{_mandir}/man1/Xephyr.1*

#----------------------------------------------------------------------------

%if %{with xfake}
%package xfake
Summary:	KDrive fake X server
Group:		System/X11
License:	MIT
Requires:	x11-server-common = %{EVRD}

%description xfake
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for testing purposes.

%files xfake
%{_bindir}/Xfake
%endif

#----------------------------------------------------------------------------

%package xfbdev
Summary:	KDrive fbdev X server
Group:		System/X11
License:	MIT
Requires:	x11-server-common = %{EVRD}

%description xfbdev
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for being used on top of linux framebuffer.

%files xfbdev
%{_bindir}/Xfbdev

#----------------------------------------------------------------------------

%define xserver_source_dir %{_datadir}/%{name}-source

%package source
Summary:	Xserver source code required to build unofficial servers
Group:		Development/X11
License:	MIT
BuildArch:	noarch

%description source
Xserver source code needed to build unofficial servers, like Xvnc.

%files source
%{xserver_source_dir}

#----------------------------------------------------------------------------

%prep
%setup -q -n xorg-server-%{version}
%apply_patches

# check the ABI in the source against what we expect.
getmajor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $4 }'
}

getminor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $5 }'
}

test `getmajor ansic` == %{ansic_major}
test `getminor ansic` == %{ansic_minor}
test `getmajor videodrv` == %{videodrv_major}
test `getminor videodrv` == %{videodrv_minor}
test `getmajor xinput` == %{xinput_major}
test `getminor xinput` == %{xinput_minor}
test `getmajor extension` == %{extension_major}
test `getminor extension` == %{extension_minor}


%build
%serverbuild_hardened

autoreconf -if

# Copy the clean dir to a 'source' directory that will be used to make the
# x11-server-source subpackage
mkdir source
find . -maxdepth 1 ! -name source ! -name '\.' -exec cp -r '{}' source \;


%if %{with debug}
CFLAGS='-DBUILDDEBUG -O0 -gdwarf-4 -I/usr/include/tirpc' \
%else
CFLAGS='-I/usr/include/tirpc' \
%endif
%configure2_5x \
	--disable-static \
	--with-log-dir=%{_logdir} \
	--with-os-vendor="%{_vendor}" \
	--with-os-name="`echo \`uname -s -r\` | sed -e s'/ /_/g'`" \
	--with-vendor-web="%{bugurl}" \
	--with-extra-module-dir=%{extra_module_dir} \
	%if %{with debug}
	--enable-debug \
	%else
	--disable-debug \
	%endif
	%if %{with builddocs}
	--enable-builddocs \
	%else
	--disable-builddocs \
	%endif
	--enable-config-udev \
	--enable-config-udev-kms \
	--disable-strict-compilation \
	--disable-install-libxf86config \
	--enable-composite \
	--enable-xres \
	--enable-record \
	--enable-xv \
	--enable-xvmc \
	--enable-dga \
	--enable-screensaver \
	--enable-xdmcp \
	--enable-xdm-auth-1 \
	--enable-glx \
	--enable-aiglx \
	--enable-glx-tls \
	--enable-dri \
	--enable-dri2 \
	--enable-dri3 \
	--enable-xinerama \
	--enable-xf86vidmode \
	--enable-xace \
	--enable-xcsecurity \
	--enable-xf86bigfont \
	--enable-dpms \
	--disable-tslib \
	--enable-dbe \
	--enable-xfree86-utils \
	--enable-xorg \
	%if %{with dmx}
	--enable-dmx \
	%else
	--disable-dmx \
	%endif
	--enable-xvfb \
	--enable-xnest \
	--disable-xwin \
	--enable-kdrive \
	%if %{with xfake}
	--enable-xfake \
	%else
	--disable-xfake \
	%endif
	--enable-xephyr \
	--enable-secure-rpc \
	--enable-xwrapper \
	--enable-pam \
	%if %{with dbus}
	--enable-config-dbus \
	%else
	--disable-config-dbus \
	%endif
	--disable-config-hal \
	--with-sha1=libcrypto \
	--with-default-font-path="catalogue:%{_sysconfdir}/X11/fontpath.d"

# Let's not disable setuid on Xorg binary for some time, let this feature
# be tested by other distros first.

pushd include && make xorg-server.h dix-config.h xorg-config.h && popd

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/X11/
ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
ln -sf %{_bindir}/Xwrapper %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/xserver
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
touch %{buildroot}%{_sysconfdir}/security/console.apps/xserver

mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d

# move README.compiled outside compiled/ dir, so there won't be any problem with x11-data-xkbdata
mv -f %{buildroot}%{_datadir}/X11/xkb/compiled/README.compiled %{buildroot}%{_datadir}/X11/xkb/

# for compatibility with legacy applications (see #23423, for example)
mkdir -p %{buildroot}%{_prefix}/X11R6/lib/
ln -s ../../%{_lib}/X11 %{buildroot}%{_prefix}/X11R6/lib/X11

# create more module directories to be owned by x11-server-common
install -d -m755 %{buildroot}%{_libdir}/xorg/modules/{input,drivers}
install -d -m755 %{buildroot}%{xorg1_6_extra_modules}

# (anssi) manage proprietary drivers
install -d -m755 %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL/standard.conf << EOF
# This file is knowingly empty since the libraries are in standard search
# path. Please do not remove this file.
EOF
touch %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf

install -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/xvfb-run

# Make the source package
cp -r source %{buildroot}%{xserver_source_dir}

install -m 755 %{SOURCE30} %{buildroot}%{_bindir}

# Create xorg.conf.d
install -d -m 755 %{buildroot}%{_sysconfdir}/X11/xorg.conf.d


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.15.1-4
+ Revision: 2a4ccfb
- MassBuild#440: Increase release tag

* Thu May 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.15.1-3
+ Revision: 90c671b
- Disabled immediate symbol resolution for ld (it might have broken Xorg)

* Wed May 28 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.15.1-2
+ Revision: 8d4f1ed
- Make sure /usr/include/tirpc/ is searched for rpc/* headers
- glibc does not provide most of them anymore and the X server links
- with libtirpc anyway.

* Tue Apr 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.15.1-1
+ Revision: 0a7fcf4
- Removed an excessive 'Requires'

* Tue Apr 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.15.1-1
+ Revision: 1c3255e
- Added missing file; removed excessive option
- It seems, specifying --enable-install-setuid breaks the builds performed
- by a non-root user. Remove this option. The wrapper should handle the
- ownership of X.

* Tue Apr 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.15.1-1
+ Revision: 78c74cd
- Revisited the patch set, prepared the project for update to 1.15.1

* Mon Dec 30 2013 akdengi <alexander.kazancev@rosalab.ru> 1.14.5-7
+ Revision: f2f4427
- sync

* Sat Dec 28 2013 akdengi <kazancas@mandriva.ru> 1.14.5-7
+ Revision: a667e20
- disable fedora patches

* Thu Dec 26 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: e47b041
- drop new.spec

* Thu Dec 26 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: 1b5db3f
- drop new.spec

* Thu Dec 26 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: 89b4da2
- remove udev rules

* Thu Dec 26 2013 akdengi <kazancas@mandriva.ru> 1.14.5-5
+ Revision: 9fc603d
- remove udev rules

* Thu Dec 19 2013 akdengi <kazancas@mandriva.ru> 1.14.5-5
+ Revision: bf24720
- SILENT revert to 1.14.5-5

* Thu Dec 19 2013 akdengi <alexander.kazancev@rosalab.ru> 1.14.5-8
+ Revision: 184a118
- SILENT fix patch

* Thu Dec 19 2013 akdengi <alexander.kazancev@rosalab.ru> 1.14.5-8
+ Revision: b7b02e5
- return Fedora patches

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-7
+ Revision: 861e54e
- return new pamd and keyboard config

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-7
+ Revision: 884ad2f
- return old way

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: 10548e0
- fix patchset

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: 9e69a47
- disable patch 2008

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: aadf7ec
- disable patch 2007

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: 0b353eb
- add some fedora patches

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: 1c5fca9
- add patch

* Wed Dec 18 2013 akdengi <kazancas@mandriva.ru> 1.14.5-6
+ Revision: a916c0b
- disable all Mandriva patches and add backlight patch

* Tue Dec 17 2013 akdengi <kazancas@mandriva.ru> 1.14.5-5
+ Revision: 29d4055
- fix migrate way

* Tue Dec 17 2013 akdengi <kazancas@mandriva.ru> 1.14.5-4
+ Revision: 69f94a0
- run drakkeyboard if missing config X11

* Tue Dec 17 2013 Alexander Kazancev <kazancas@gmail.com> 1.14.5-3
+ Revision: 63a009c
- Up release

* Mon Dec 16 2013 akdengi <kazancas@mandriva.ru> 1.14.5-2
+ Revision: c175295
- Add to post in common package call /usr/bin/setxkbmap

* Fri Dec 13 2013 akdengi <kazancas@mandriva.ru> 1.14.5-1
+ Revision: 7091bdc
- Update to 1.14.5

* Thu Nov 07 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.14.4-2
+ Revision: a2b9568
- disabled a 908 patch

* Tue Nov 05 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.14.4-1
+ Revision: aa28f47
- LOG New version 1.14.4

* Fri Nov 01 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.14.3-4
+ Revision: 4f91a21
- LOG Spec cleanup

* Thu Oct 31 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.14.3-3
+ Revision: 436e732
- sync to cooker, removed abf.yml copy


